Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587786 - SELinux is preventing /usr/bin/python "getattr" access on /var/www/cobbler/ks_mirror/F12-x86_64/Fedora/x86_64/os/images/pxeboot/vmlinuz.
SELinux is preventing /usr/bin/python "getattr" access on /var/www/cobbl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:458d0dbcdac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 16:56 EDT by Subhendu Ghosh
Modified: 2010-05-18 17:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-114.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Subhendu Ghosh 2010-04-30 16:56:20 EDT
Summary:

SELinux is preventing /usr/bin/python "getattr" access on
/var/www/cobbler/ks_mirror/F12-x86_64/Fedora/x86_64/os/images/pxeboot/vmlinuz.

Detailed Description:

[cobblerd has a permissive type (cobblerd_t). This access was not denied.]

SELinux denied access requested by cobblerd. It is not expected that this access
is required by cobblerd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:cobblerd_t:s0
Target Context                unconfined_u:object_r:httpd_sys_content_t:s0
Target Objects                /var/www/cobbler/ks_mirror/F12-x86_64/Fedora/x86_6
                              4/os/images/pxeboot/vmlinuz [ file ]
Source                        cobblerd
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-108.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux montreal.sghosh.org 2.6.32.11-99.fc12.x86_64
                              #1 SMP Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 21 Apr 2010 08:32:48 AM EDT
Last Seen                     Wed 21 Apr 2010 08:32:48 AM EDT
Local ID                      dfd4d74d-9de4-4257-8d3c-42fc14e807a7
Line Numbers                  

Raw Audit Messages            

node=montreal.sghosh.org type=AVC msg=audit(1271853168.888:12): avc:  denied  { getattr } for  pid=2007 comm="cobblerd" path="/var/www/cobbler/ks_mirror/F12-x86_64/Fedora/x86_64/os/images/pxeboot/vmlinuz" dev=dm-3 ino=8391633 scontext=system_u:system_r:cobblerd_t:s0 tcontext=unconfined_u:object_r:httpd_sys_content_t:s0 tclass=file

node=montreal.sghosh.org type=SYSCALL msg=audit(1271853168.888:12): arch=c000003e syscall=4 success=yes exit=0 a0=19daad0 a1=7fff68cf6550 a2=7fff68cf6550 a3=6f6f626578702f73 items=0 ppid=2006 pid=2007 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="cobblerd" exe="/usr/bin/python" subj=system_u:system_r:cobblerd_t:s0 key=(null)



Hash String generated from  catchall,cobblerd,cobblerd_t,httpd_sys_content_t,file,getattr
audit2allow suggests:

#============= cobblerd_t ==============
allow cobblerd_t httpd_sys_content_t:file getattr;
Comment 1 Daniel Walsh 2010-05-03 09:23:24 EDT
Miroslav, 

I think we should add

optional_policy(`
	apache_read_sys_content(cobblerd_t)
')
Comment 2 Miroslav Grepl 2010-05-05 07:28:43 EDT
Fixed in selinux-policy-3.6.32-114.fc12
Comment 3 Fedora Update System 2010-05-05 11:37:03 EDT
selinux-policy-3.6.32-114.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 4 Fedora Update System 2010-05-06 23:57:43 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-114.fc12
Comment 5 Fedora Update System 2010-05-18 17:54:36 EDT
selinux-policy-3.6.32-114.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.